org.eclipse.graphiti.features.context

## Interface ICreateConnectionContext

All Superinterfaces:
  IConnectionContext, IContext, IPropertyBag

All Known Implementing Classes:
  CreateConnectionContext

    public interface ICreateConnectionContext
    extends IContext, IConnectionContext

The Interface ICreateConnectionContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`ILocation` `getSourceLocation()`
`PictogramElement` `getSourcePictogramElement()` Gets the source pictogram element.
`ILocation` `getTargetLocation()`
`PictogramElement` `getTargetPictogramElement()` Gets the target pictogram element.

### Methods inherited from interface org.eclipse.graphiti.features.context.IConnectionContext

`getSourceAnchor, getTargetAnchor`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getSourcePictogramElement

    PictogramElement getSourcePictogramElement()

Gets the source pictogram element.

Returns:
  the source pictogram element

#### getTargetPictogramElement

    PictogramElement getTargetPictogramElement()

Gets the target pictogram element.

Returns:
  the target pictogram element

#### getSourceLocation

    ILocation getSourceLocation()

Returns:
  the sourceLocation
Since:
  0.8

#### getTargetLocation

    ILocation getTargetLocation()

Returns:
  the targetLocation
Since:
  0.8